package com.gyee.wisdom.common.exception;


import com.gyee.wisdom.common.enums.ResultCode;

/**
 * Package: com.gyee.wisdom.admin.advice
 * Description： 产品化
 * Author:  ShiLin
 * Date: Created in 2018/4/10 16:52
 * Company: 公司
 * Copyright: Copyright (c) 2018
 * Version: 0.0.1
 * Modified By:
 */
public class ResultException extends RuntimeException {

    private ResultCode resultCode;

    public ResultException(ResultCode resultCode) {
        super(resultCode.getMsg());
        this.resultCode = resultCode;
    }

    public ResultCode getResultCode() {
        return resultCode;
    }
}
